Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87599 - Syntax error in pic2graph
Summary: Syntax error in pic2graph
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: groff
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-30 01:43 UTC by John Stracke
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-15 09:28:12 UTC


Attachments (Terms of Use)
Patch (via diff -u) (deleted)
2003-03-30 01:44 UTC, John Stracke
no flags Details | Diff

Description John Stracke 2003-03-30 01:43:11 UTC
Description of problem:
pic2graph has a syntax error.


Version-Release number of selected component (if applicable): 1.18-6

How reproducible: Always.

Steps to Reproduce:
1. Run pic2graph
    
Actual results:

On stderr:

/usr/bin/pic2graph: line 48: syntax error near unexpected token `)'
/usr/bin/pic2graph: line 48: `    -format)'

I have a patch (trivial), which I will attach.

I have already submitted this patch to bug-groff@gnu.org; reporting here in case
you want to fix it faster.  Then again, this bug appears to have been in
pic2graph from the start, so it's hard to see how pic2graph could have attracted
many users...

Comment 1 John Stracke 2003-03-30 01:44:12 UTC
Created attachment 90790 [details]
Patch (via diff -u)

Adds ";;" to the end of one of the cases in a bash case statement.

Comment 2 Florian La Roche 2003-04-15 09:28:12 UTC
This fix is already in our newest rpm.

Thanks for this bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.